import { rateLimit } from 'express-rate-limit';
import log from 'src/common/log';

const limiter = rateLimit({
  windowMs: 5 * 60 * 1000, // 5 minutes
  max: 100, // Limit each IP to 100 requests per `window` (here, per 5 minutes)
  standardHeaders: true, // Return rate limit info in the `RateLimit-*` headers
  legacyHeaders: false, // Disable the `X-RateLimit-*` headers
  handler: (request, response, next, options) => {
    log.warn('rate limit exceeded');
    return response.status(options.statusCode).send(options.message);
  },
});

export default limiter;
